<?php
include "includes/connect.php";

////////////////////////////////////////////
// This function retrieves the number of  //
// movies, books, etc. that exist in each //
// catalog and adds that number to a 	  //
// global variable.						  //
////////////////////////////////////////////
function getNumbers($conn) {		
	global $numMovies;
	global $numBooks;
	global $numMusic;
	global $numSoft;
	global $numGames;
	global $numMisc;
	
	$moviesQ = $conn->query("SELECT * FROM movies");
	$numMovies = $moviesQ->numRows();
	
	$booksQ = $conn->query("SELECT * FROM books");
	$numBooks = $booksQ->numRows();
	
	$musicQ = $conn->query("SELECT * FROM music");
	$numMusic = $musicQ->numRows();
	
	$softQ = $conn->query("SELECT * FROM software");
	$numSoft = $softQ->numRows();
	
	$gamesQ = $conn->query("SELECT * FROM games");
	$numGames = $gamesQ->numRows();
	
	$miscQ = $conn->query("SELECT * FROM misc");
	$numMisc = $miscQ->numRows();
}

?>
<html>
<head>
	<title>Cataloger Pro :: Beta</title>
	<link rel="stylesheet" href="styles/main.css" type="text/css" />
	<link rel="stylesheet" href="images/NavBar/headerBG.css" type="text/css" />
	<script language="JavaScript1.2" type="text/javascript">
		<!--
		function MM_findObj(n, d) { //v4.01
		  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
		    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
		  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
		  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);
		  if(!x && d.getElementById) x=d.getElementById(n); return x;
		}
		function MM_swapImage() { //v3.0
		  var i,j=0,x,a=MM_swapImage.arguments; document.MM_sr=new Array; for(i=0;i<(a.length-2);i+=3)
		   if ((x=MM_findObj(a[i]))!=null){document.MM_sr[j++]=x; if(!x.oSrc) x.oSrc=x.src; x.src=a[i+2];}
		}
		function MM_swapImgRestore() { //v3.0
		  var i,x,a=document.MM_sr; for(i=0;a&&i<a.length&&(x=a[i])&&x.oSrc;i++) x.src=x.oSrc;
		}
		
		function MM_preloadImages() { //v3.0
		  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
		    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
		    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
		}
		
		//-->
	</script>
	<script language="JavaScript1.2" type="text/javascript" src="images/NavBar/mm_css_menu.js"></script>
</head>
<body onload="MM_preloadImages('images/NavBar/images/headerBG_r2_c2_f2.png','images/NavBar/images/headerBG_r2_c4_f2.png','images/NavBar/images/headerBG_r3_c5_f2.png');">
<div id="pageContainer">
	<div id="topContent">
		<div id="header">
			<!-- <img class="header" src="images/NavBar/headerBG.png" /> -->
			<? include "images/NavBar/headerBG.htm" ?>
		</div>
	</div>
	<div id="centerContent">
		<? if(isset($dbDead)){?>
			<?=$dbDead?>
		<?}else{ getNumbers($conn);?>
			<h1>Please select a Catalog from the following list:</h1>
			<table id="linksTable" cellspacing="0" cellpadding="0" border="0" align="center">
				<tr>
					<td class="right">
						<span id="notify"><?=$numMovies?> Entr<?if($numMovies > 1) {?>ies<?}else {?>y<?}?></span>
					</td>
					<td class="picCellL">
						<div id="picCellContents">
							<a href="movies.php"><img src="images/buttons/movies.png" border="0"></a>
						</div>
					</td>
					<td class="picCellR">
						<div id="picCellContents">
							<a href="music.php"><img src="images/buttons/music.png" border="0"></a>
						</div>
					</td>
					<td class="left">
						<span id="notify"><?=$numMusic?> Entr<?if($numMusic > 1) {?>ies<?}else {?>y<?}?></span>
					</td>
				</tr>
				<tr>
					<td class="right">
						<span id="notify"><?=$numBooks?> Entr<?if($numBooks > 1) {?>ies<?}else {?>y<?}?></span>
					</td>
					<td class="picCellL">
						<div id="picCellContents">
							<a href="books.php"><img src="images/buttons/books.png" border="0"></a>
						</div>
					</td>
					<td class="picCellR">
						<div id="picCellContents">
							<a href="software.php"><img src="images/buttons/software.png" border="0"></a>
						</div>
					</td>
					<td class="left">
						<span id="notify"><?=$numSoft?> Entr<?if($numSoft > 1) {?>ies<?}else {?>y<?}?></span>
					</td>
				</tr>
				<tr>
					<td class="right">
						<span id="notify"><?=$numGames?> Entr<?if($numGames > 1) {?>ies<?}else {?>y<?}?></span>
					</td>
					<td class="picCellL">
						<div id="picCellContents">
							<a href="games.php"><img src="images/buttons/games.png" border="0"></a>
						</div>
					</td>
					<td class="picCellR">
						<div id="picCellContents">
							<a href="misc.php"><img src="images/buttons/misc.png" border="0"></a>
						</div>
					</td>
					<td class="left">
						<span id="notify"><?=$numMisc?> Entr<?if($numMisc > 1) {?>ies<?}else {?>y<?}?></span>
					</td>
				</tr>
			</table>
		<?}?>
	</div>
	<div id="bottomContent"><? include "content/bottomBar.html" ?></div>
</div>
</body>