<?php

include "includes/connect.php";

$error = "";
$success = "";
$check = true;
$newMovie = false;
$movieTableShow = false;
$count = 0;
$button = "<input type='submit' name='submit' value='Submit Movie' />";

if (isset($_POST['submit'])) {
	
	$title = $_POST['title'];
	$director = $_POST['director'];
	$actor = $_POST['actor'];
	$producer = $_POST['producer'];
	$release = $_POST['release'];
	$rating = $_POST['rating'];
	$cond = $_POST['condition'];
	
	if ($title == "") {
		
		$check = false;
		$error .= "<div id='error'>You must enter a title.</div>";
	}
	if ($rating == "null") {
		
		$check = false;
		$error .= "<div id='error'>You must select a rating.</div>";
	}
	if ($cond == "") {
		
		$check = false;
		$error .= "<div id='error'>You must select a condition.</div>";
	}
	
	$stmt = $conn->query("SELECT * FROM movies WHERE title = '$title'");
	$checkNum = $stmt->numRows();
	
	if ($checkNum > 0) {
		
		$check = false;
		$error .= "<div id='error'>The Title submitted already exist in the database.</div>";
	}
	
	if ($check == true) {
		
		$stmt = "INSERT INTO movies (title, director, actor, producer, release_year, rating, cond)
							VALUES ('$title', '$director', '$actor', '$producer', '$release', '$rating', '$cond')";
		$query = $conn->query($stmt);
		
		$checkStmt = $conn->query("SELECT * FROM movies WHERE title = '$title'");
		$numStmt = $checkStmt->numRows();
		
		if ($numStmt > 0) {
			
			$success = "<div id='success'>You have successfully uploaded a new movie!</div>";
		}
		else {
			
			$error .= "<div id='error'>Your game was not uploaded to the database. Sorry.</div>";
		}
	}
}

//Checks to see if there are any movies in the database.  If there are, it will display the table.
$stmtA = $conn->query("SELECT * FROM movies");
$movieCheck = $stmtA->numRows();
if ($movieCheck != 0) {
	
	$movieTableShow = true;
}
else {
	
	$movieTableShow = false;
	$newMovie = true;
}


//If the create new movie button is pressed.
if(isset($_POST['createNew'])) {
	
	$newMovie = true;
}

if (isset($_POST['revert'])) {
	
	echo "<script>window.location: 'movies.php' </script>";
}

//Sets the default criterion for the search
$limitations = "ORDER BY title";
$userSearch = true;  //whether the user performed a search or not
$criterion = "";	//what the user is searching for (default, last name)
$search_name = "";	//what the user typed into the search field (default, nothing)

//This is run if the user has performed a search (hits the Search button, or chooses another page of an existing search)
if(isset($_POST["btn_search"]) || isset($_GET["criterion"])) {
		
	$userSearch = true;		//A search happened
	
	if(isset($_POST["btn_search"])){
		$criterion = $_POST['criterion'];
		$search_name = $_POST['search'];
	}else{
		$criterion = $_GET['criterion'];
		$search_name = $_GET['search'];
	}
	
		if($criterion == 'title')
		{
			$selectedTrue1="selected='true'";
			$limitations = "WHERE title LIKE '".$search_name."%' ORDER BY title ";

			$searchValue = $search_name;
		}
		else if($criterion == 'rating')
		{
			$selectedTrue2="selected='true'";
			$limitations = "WHERE rating LIKE '".$search_name."%' ORDER BY rating ";

			$searchValue = $search_name;
		}
		else if($criterion == 'release_year')
		{
			$selectedTrue3="selected='true'";
			$limitations = "WHERE release_year LIKE '".$search_name."%' ORDER BY release_year ";

			$searchValue = $search_name;
		}
	
}

//Creates a Limit of rows for the Table.
		
//How many adjacent pages should be shown on each side?
//If too many pages in the table then increase this number until you get the desired result.
$adjacents = 1;
$thisPageFilename = "movies.php";
$thisSearchLinkSuffix = "";
$table = "movies";

if($userSearch == true){
	$thisSearchLinkSuffix = "&criterion=$criterion&search=$search_name";
}

/* 
   First get total number of rows in data table. 
   If you have a WHERE clause in your query, make sure you mirror it here.
*/
$query = $conn->query("SELECT COUNT(*) AS NUM FROM $table $limitations");
$total_pages = $query->fetchRow();
$total_pages = $total_pages[NUM];

/* Setup vars for query. */
$limit = 10; 								//how many items to show per page
if (isset($_GET["page"]))
{
	$page=$_GET["page"];
}
else{
	$page=1;								//if no page var is given, default to 1.
}
$start = ($page - 1) * $limit;	 			//first item to display on this page

/* Get data. */
$query = "SELECT * FROM $table $limitations LIMIT $start, $limit";
$portfolio = $conn->query($query);

/* Setup page vars for display. */				
$prev = $page - 1;							//previous page is page - 1
$next = $page + 1;							//next page is page + 1
$lastpage = ceil($total_pages/$limit);		//lastpage is = total pages / items per page, rounded up.
$lpm1 = $lastpage - 1;						//last page minus 1

/* 
	Now we apply our rules and draw the pagination object. 
	We're actually saving the code to a variable in case we want to draw it more than once.
*/
$pagination = "";
if($lastpage > 1)
{	
	$pagination .= "<div class=\"pagination\">";
	//previous button
	if ($page > 1) 
		$pagination.= "<a href=\"$thisPageFilename?page=$prev$thisSearchLinkSuffix\"> previous</a>";
	else
		$pagination.= "<span class=\"disabled\"> previous</span>";	
	
	//pages	
	if ($lastpage < 7 + ($adjacents * 2))	//not enough pages to bother breaking it up
	{	
		for ($counter = 1; $counter <= $lastpage; $counter++)
		{
			if ($counter == $page)
				$pagination.= "<span class=\"current\">$counter</span>";
			else
				$pagination.= "<a href=\"$thisPageFilename?page=$counter$thisSearchLinkSuffix\">$counter</a>";					
		}
	}
	elseif($lastpage > 5 + ($adjacents * 2))	//enough pages to hide some
	{
		//close to beginning; only hide later pages
		if($page < 1 + ($adjacents * 2))		
		{
			for ($counter = 1; $counter < 4 + ($adjacents * 2); $counter++)
			{
				if ($counter == $page)
					$pagination.= "<span class=\"current\">$counter</span>";
				else
					$pagination.= "<a href=\"$thisPageFilename?page=$counter$thisSearchLinkSuffix\">$counter</a>";					
			}
			$pagination.= "...";
			$pagination.= "<a href=\"$thisPageFilename?page=$lpm1$thisSearchLinkSuffix\">$lpm1</a>";
			$pagination.= "<a href=\"$thisPageFilename?page=$lastpage$thisSearchLinkSuffix\">$lastpage</a>";		
		}
		//in middle; hide some front and some back
		elseif($lastpage - ($adjacents * 2) > $page && $page > ($adjacents * 2))
		{
			$pagination.= "<a href=\"$thisPageFilename?page=1$thisSearchLinkSuffix\">1</a>";
			$pagination.= "...";
			for ($counter = $page - $adjacents; $counter <= $page + $adjacents; $counter++)
			{
				if ($counter == $page)
					$pagination.= "<span class=\"current\">$counter</span>";
				else
					$pagination.= "<a href=\"$thisPageFilename?page=$counter$thisSearchLinkSuffix\">$counter</a>";					
			}
			$pagination.= "...";
			$pagination.= "<a href=\"$thisPageFilename?page=$lastpage$thisSearchLinkSuffix\">$lastpage</a>";		
		}
		//close to end; only hide early pages
		else
		{
			$pagination.= "<a href=\"$thisPageFilename?page=1$thisSearchLinkSuffix\">1</a>";
			$pagination.= "...";
			for ($counter = $lastpage - (2 + ($adjacents * 2)); $counter <= $lastpage; $counter++)
			{
				if ($counter == $page)
					$pagination.= "<span class=\"current\">$counter</span>";
				else
					$pagination.= "<a href=\"$thisPageFilename?page=$counter$thisSearchLinkSuffix\">$counter</a>";					
			}
		}
	}
	
	//next button
	if ($page < $counter - 1) 
		$pagination.= "<a href=\"$thisPageFilename?page=$next$thisSearchLinkSuffix\">next </a>";
	else
		$pagination.= "<span class=\"disabled\">next </span>";
	$pagination.= "</div>\n";
}
while($item = $portfolio->fetchRow()){
	
	$editpage = "";
	if($lastpage > 1){
		$editpage = "?page=".$page;
	}
	if ($count % 2 == 0){
		$color = "#F7F7F7";
	}
	else {
		$color = "#CCCCCC";
	}
	if($item['title'] != ""){
	$tableListing .= "<tr bgcolor='$color' >			
						<form name='formresult' action='$thisPageFilename".$editpage."' method='POST'>
							<td><input type='hidden' name='id' value='".$item['ID']."'>
							<input type='hidden' name='search' value='".$searchValue."'>
							<input type='hidden' name='criterion' value='".$criterion."'>
							<input type='hidden' name='btn_search' value=1></td>
							<td>".$item['title']."</td>		
							<td>".$item['rating']."</td>
							<td>".$item['release_year']."</td> 	
							<td>
							<input type='submit' name='moreInfoBtn' value='More Information'>
							</td>
						</form>		
					</tr>";
	}
	$count = 1 + $count;
}

//If the More Information Button is pressed.
$moreInfoCheck = false;
$g = "";
$pg = "";
$pg13 = "";
$r = "";
$nc17 = "";
$nr = "";

if (isset($_POST['moreInfoBtn'])) {
	
	$button = "<input type='submit' name='update' value='Update Movie' />";

	$moreInfoCheck = true;
	$selectedID = $_POST['id'];
	
	$moreInfoStmt = $conn->query("SELECT * FROM movies WHERE ID = '$selectedID'");
	$result2 = $moreInfoStmt->fetchRow();
	
	$titleShow = $result2['title'];
	$directorShow = $result2['director'];
	$releaseShow = $result2['release_year'];
	$actorShow = $result2['actor'];
	$producerShow = $result2['producer'];
	$ratingShow = $result2['rating'];
	$condShow = $result2['cond'];
	
	if ($ratingShow == "G") {
		$g = "selected";
	}
	if ($ratingShow == "PG") {
		$pg = "selected";
	}
	if ($ratingShow == "PG-13") {
		$pg13 = "selected";
	}
	if ($ratingShow == "R") {
		$r = "selected";
	}
	if ($ratingShow == "NC-17") {
		$nc17 = "selected";
	}
	if ($ratingShow == "NR") {
		$nr = "selected";
	}
	
	//This block populates the Condition Radios
	if ($condShow == "New") {
		$new = "CHECKED";
	}
	if ($condShow == "Satisfactory") {
		$sat = "CHECKED";
	}
	if ($condShow == "Bad") {
		$bad = "CHECKED";
	}
	$hiddenID = "<input type='hidden' name='id' value='$selectedID'";
}

if (isset($_POST['update'])) {
	
	$title = $_POST['title'];
	$director = $_POST['director'];
	$actor = $_POST['actor'];
	$producer = $_POST['producer'];
	$release = $_POST['release'];
	$rating = $_POST['rating'];
	$cond = $_POST['condition'];
	
	$selectedID = $_POST['id'];
	
	if ($title == "") {
		
		$check = false;
		$error .= "<div id='error'>You must enter a title.</div>";
	}
	if ($rating == "") {
		
		$check = false;
		$error .= "<div id='error'>You must select a rating.</div>";
	}
	if ($cond == "") {
		
		$check = false;
		$error .= "<div id='error'>You must select a condition.</div>";
	}
	
	if ($check == true) {
		
		$stmt = "INSERT INTO movies (ID) VALUES ('$selectedID') ON DUPLICATE KEY UPDATE 
							title = '$title', director = '$director', producer = '$producer', 
							actor = '$actor', release_year = '$release', 
							rating = '$rating', cond = '$cond'";
		$query = $conn->query($stmt);

		$checkStmt = $conn->query("SELECT * FROM movies WHERE title = '$title' AND rating = '$rating'");
		$numStmt = $checkStmt->numRows();
		
		if ($numStmt > 0) {
			
			$success = "<div id='success'>You have successfully updated a Movie!</div>";
		}
		else {
			
			$error .= "<div id='error'>Your book was not uploaded to the database. Sorry.</div>";
		}
	}
}

if (isset($_POST["imdb"])) {
	
	$title = $_POST["title"];
	
	if ($title == "") {
		$error .= "<div id='error'>You must enter a title to search the IMDb.</div>";
	} else {
		$newtitle = str_replace(" ", "+", $title);
		$newtitle2 = str_replace("\'", "", $newtitle);
		$newtitle3 = str_replace(":", "", $newtitle2);
		header("Location: http://www.imdb.com/find?s=all&q=$newtitle3&x=0&y=0");
	}
}

if (isset($_POST["netflix"])) {

	$title = $_POST["title"];
	if ($title == "") {
		$error .= "<div id='error'>You must enter a title to search Netflix.</div>";
	} else {
		$newtitle = str_replace(" ", "+", $title);
		$newtitle2 = str_replace("\'", "", $newtitle);
		$newtitle3 = str_replace(":", "", $newtitle2);
		header("Location: http://www.netflix.com/Search?ff2_submit.x=0&ff2_submit.y=0&v1=$newtitle3");
	}
}

if (isset($_POST["google"])) {
	
	$title = $_POST["title"];
	if ($title == "") {
		$error .= "<div id='error'>You must enter a title to search on Google.</div>";
	} else {
		$newtitle = str_replace(" ", "+", $title);
		$newtitle2 = str_replace("\'", "%27", $newtitle);
		$newtitle3 = str_replace(":", "%3A", $newtitle2);
		header("Location: http://www.google.com/search?hl=en&q=$newtitle3&btnG=Google+Search");
	}
}

?>
<html>
<head>
	<title>Cataloger Pro :: Beta</title>
	<link rel="stylesheet" href="styles/main.css" type="text/css" />
	<link rel="stylesheet" href="images/NavBar/headerBG.css" type="text/css" />
	<script language="JavaScript1.2" type="text/javascript">
		<!--
		function MM_findObj(n, d) { //v4.01
		  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
		    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
		  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
		  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);
		  if(!x && d.getElementById) x=d.getElementById(n); return x;
		}
		function MM_swapImage() { //v3.0
		  var i,j=0,x,a=MM_swapImage.arguments; document.MM_sr=new Array; for(i=0;i<(a.length-2);i+=3)
		   if ((x=MM_findObj(a[i]))!=null){document.MM_sr[j++]=x; if(!x.oSrc) x.oSrc=x.src; x.src=a[i+2];}
		}
		function MM_swapImgRestore() { //v3.0
		  var i,x,a=document.MM_sr; for(i=0;a&&i<a.length&&(x=a[i])&&x.oSrc;i++) x.src=x.oSrc;
		}
		
		function MM_preloadImages() { //v3.0
		  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
		    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
		    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
		}
		
		//-->
	</script>
	<script language="JavaScript1.2" type="text/javascript" src="images/NavBar/mm_css_menu.js"></script>
</head>
<body onload="MM_preloadImages('images/NavBar/images/headerBG_r2_c2_f2.png','images/NavBar/images/headerBG_r2_c4_f2.png','images/NavBar/images/headerBG_r3_c5_f2.png'); document.form1.title.focus()">
<div id="pageContainer">
	<div id="topContent">
		<div id="header">
			<? include "images/NavBar/headerBG.htm" ?>
		</div>
	</div>
	<div id="centerContent">
		<? if ($movieTableShow == true) {?>
		<div id="selectBox">
			<h1>Movies Catalog</h1>
			<?=$error?><?=$success?>
			<form name="usersearchform" action="movies.php" method="post">
				<center>
					<select name="criterion">
						<option value="title" <?=$selectedTrue1?>>Title</option>
						<option value="rating" <?=$selectedTrue2?>>Rating</option>
						<option value="release_year" <?=$selectedTrue3?>>Release Year</option>
					</select>
					&nbsp;&nbsp;

					<input name="search" type="text" size="30" value="<?=$searchValue?>" />
					<input name="btn_search" type="submit" value="Search" />
					<input name="revert" type="submit" value="Revert" />
				</center>
			</form>
			<table id="resultsTable" border="1" cellspacing="0" cellpadding="0" align="center" width="600px" frame="border" rules="none" >
				<th class="tableHeaderBlank">&nbsp;</th>
				<th class="tableHeaderTitle">Title&nbsp;&nbsp;&nbsp;</th>
				<th class="tableHeader">Rating&nbsp;&nbsp;&nbsp;</th>
				<th class="tableHeader">Release Year&nbsp;&nbsp;&nbsp;</th>
				<th class="tableHeader">&nbsp;</th>
				<?=$tableListing?>
			</table>
			<?=$pagination?>
		</div>
		<center>
			<a href="#down" class="downLink">Click to Move Down</a>
		</center>
		<? } if ($newMovie == false) {?>
		<form name="newMovieCheck" method="post" action="movies.php" >
			<div id="submitArea">
				<input type="submit" name="createNew" value="Create New Movie" />
			</div>
		</form>
		<? }
		if ($newMovie == true) {?>
		<h1 id="down">Please fill out the area below to enter a new movie:</h1>
		
		<form name="form1" method="post" action="movies.php" >
			<table id="formTable" cellpadding="0" cellspacing="0" border="0">
				<tr>
					<td class="desc">
						<label>*Title</label>
					</td>
					<td class="input">
						<input type="text" name="title" size="40" maxlength="50" />
					</td>
				</tr>
				<tr>
					<td class="desc">
						<label>Director</label>
					</td>
					<td class="input">
						<input type="text" name="director" size="40" maxlength="50" />
					</td>
				</tr>
				<tr>
					<td class="desc">
						<label>Main Actor(s)</label>
					</td>
					<td class="input">
						<input type="text" name="actor" size="40" maxlength="50"/>
					</td>
				</tr>
				<tr>
					<td class="desc">
						<label>Producer(s)</label>
					</td>
					<td class="input">
						<input type="text" name="producer" size="40" maxlength="50" />
					</td>
				</tr>
				<tr>
					<td class="desc">
						<label>Release Year</label>
					</td>
					<td class="input">
						<input type="text" name="release" size="40" maxlength="4" />
					</td>
				</tr>
				<tr>
					<td class="desc">
						<label>*Rating</label>
					</td>
					<td class="input">
						<select name="rating">
							<option value="null"></option>
							<option value="G">G</option>
							<option value="PG">PG</option>
							<option value="PG-13">PG-13</option>
							<option value="R">R</option>
							<option value="NC-17">NC-17</option>
							<option value="NR">NR</option>
						</select>
					</td>
				</tr>
				<tr>
					<td class="desc">
						<label>*Condition</label>
					</td>
					<td class="input">
						Brand New
						&nbsp;
						<input type="radio" name="condition" value="New" />
						&nbsp;&nbsp;&nbsp;
						Satisfactory
						&nbsp;
						<input type="radio" name="condition" value="Satisfactory" />
						&nbsp;&nbsp;&nbsp;
						Bad
						&nbsp;
						<input type="radio" name="condition" value="Bad" />
					</td>
				</tr>
			</table>
			<br>
			<div id="searchNet">
				<input type="submit" name="imdb" value="Search on IMDb" />
				<input type="submit" name="netflix" value="Search on Netflix" />
				<input type="submit" name="google" value="Search on Google" />
			</div>
			<div id="submitArea">
				<?=$error?><?=$success?>
				<?=$button?>
				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
				<input type="reset" name="reset" value="Reset Form" />
				<br><br>
				* Required
			</div>
		</form>
		<? }
		if($moreInfoCheck == true) {?>
		<h1 id="down">Please fill out the area below to update a movie:</h1>
		
		<form name="form1" id="form1" method="post" action="movies.php" >
			<?=$hiddenID?>
			<table id="formTable" cellpadding="0" cellspacing="0" border="0">
				<tr>
					<td class="desc">
						<label>*Title</label>
					</td>
					<td class="input">
						<input type="text" name="title" size="40" maxlength="50" value="<?=$titleShow?>" />
					</td>
				</tr>
				<tr>
					<td class="desc">
						<label>Director</label>
					</td>
					<td class="input">
						<input type="text" name="director" size="40" maxlength="50" value="<?=$directorShow?>" />
					</td>
				</tr>
				<tr>
					<td class="desc">
						<label>Main Actor(s)</label>
					</td>
					<td class="input">
						<input type="text" name="actor" size="40" maxlength="50" value="<?=$actorShow?>" />
					</td>
				</tr>
				<tr>
					<td class="desc">
						<label>Producer(s)</label>
					</td>
					<td class="input">
						<input type="text" name="producer" size="40" maxlength="50" value="<?=$producerShow?>" />
					</td>
				</tr>
				<tr>
					<td class="desc">
						<label>Release Year</label>
					</td>
					<td class="input">
						<input type="text" name="release" size="40" maxlength="4" value="<?=$releaseShow?>" />
					</td>
				</tr>
				<tr>
					<td class="desc">
						<label>*Rating</label>
					</td>
					<td class="input">
						<select name="rating">
							<option value="null"></option>
							<option value="G" <?=$g?>>G</option>
							<option value="PG" <?=$pg?>>PG</option>
							<option value="PG-13" <?=$pg13?>>PG-13</option>
							<option value="R" <?=$r?>>R</option>
							<option value="NC-17" <?=$nc17?>>NC-17</option>
							<option value="NR" <?=$nr?>>NR</option>
						</select>
					</td>
				</tr>
				<tr>
					<td class="desc">
						<label>*Condition</label>
					</td>
					<td class="input">
						Brand New
						&nbsp;
						<input type="radio" name="condition" value="New" <?=$new?> />
						&nbsp;&nbsp;&nbsp;
						Satisfactory
						&nbsp;
						<input type="radio" name="condition" value="Satisfactory" <?=$sat?> />
						&nbsp;&nbsp;&nbsp;
						Bad
						&nbsp;
						<input type="radio" name="condition" value="Bad" <?=$bad?> />
					</td>
				</tr>
			</table>
			<br>
			<div id="searchNet">
				<input type="submit" name="imdb" value="Search on IMDb" />
				<input type="submit" name="netflix" value="Search on Netflix" />
				<input type="submit" name="google" value="Search on Google" />
			</div>
			<div id="submitArea">
				<?=$button?>
				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
				<input type="reset" name="reset" value="Reset Form" />
				<br><br>
				* Required
			</div>
		</form>
		<? }?>
	</div>
	<div id="bottomContent"><? include "content/bottomBar.html" ?></div>
</div>
</body>