<?php
require "../class.ezpdf.php"; 
include ("../includes/connect.php");

//these values will handle how our document shows on the page
$doc = new Cezpdf();
$doc->selectFont("../fonts/Helvetica.afm");
$doc->ezSetMargins(30,30,40,40);
$date = date("M d, Y");
$records = 0;

$query = $conn->query("SELECT * FROM books");

while($row = $query->fetchRow())
{
	
	$table[] = array(
				"ID"=>"{$row['ID']}",
				"Title"=>"{$row['title']}",
				"Author"=>"{$row['author']}",
				"ISBN"=>"{$row['isbn']}",
				"# of Pages"=>"{$row['pages']}",
				"Condition"=>"{$row['cond']}",
				"CD (Y/N)"=>"{$row['cd']}"
				);
			
	$records++;
}

// output all info in the array to a pdf table. 
$doc->ezTable($table, "", "All Books in the database as of {$date}", array('fontSize' => 8));

$doc->ezStream();
?>