<?php

include "includes/connect.php";

$error = "";
$success = "";
$check = true;
$newSoftware = false;
$softwareTableShow = false;
$count = 0;
$button = "<input type='submit' name='submit' value='Submit Software' />";

if (isset($_POST['submit'])) {
	
	$title = $_POST['title'];
	$creator = $_POST['creator'];
	$release = $_POST['release'];
	$type = $_POST['type'];
	$media = $_POST['media'];
	$discs = $_POST['discs'];
	$cond = $_POST['condition'];
	
	if ($title == "") {
		
		$check = false;
		$error .= "<div id='error'>You must enter a title.</div>";
	}
	if ($type == "null") {
		
		$check = false;
		$error .= "<div id='error'>You must select a type.</div>";
	}
	if ($media == "null") {
		
		$check = false;
		$error .= "<div id='error'>You must select a media.</div>";
	}
	if ($cond == "") {
		
		$check = false;
		$error .= "<div id='error'>You must select a condition.</div>";
	}
	
	$stmt = $conn->query("SELECT * FROM software WHERE title = '$title' AND type = '$type'");
	$checkNum = $stmt->numRows();
	
	if ($checkNum > 0) {
		
		$check = false;
		$error .= "<div id='error'>The Title and Type submitted already exist in the database.</div>";
	}
	
	if ($check == true) {
		
		$stmt = "INSERT INTO software (title, creator, release_year, type, media, discs, cond)
							VALUES ('$title', '$creator', '$release', '$type', '$media', '$discs', '$cond')";
		$query = $conn->query($stmt);
		
		$checkStmt = $conn->query("SELECT * FROM software WHERE title = '$title' AND type = '$type'");
		$numStmt = $checkStmt->numRows();
		
		if ($numStmt > 0) {
			
			$display = $type;
			if ($display == "Other") {
				
				$display = "Piece of Software";
			}
			
			$success = "<div id='success'>You have successfully uploaded a new $display!</div>";
		}
		else {
			
			$error .= "<div id='error'>Your game was not uploaded to the database. Sorry.</div>";
		}
	}
}

//Checks to see if there are any movies in the database.  If there are, it will display the table.
$stmtA = $conn->query("SELECT * FROM software");
$softwareCheck = $stmtA->numRows();
if ($softwareCheck != 0) {
	
	$softwareTableShow = true;
}
else {
	
	$softwareTableShow = false;
	$newSoftware = true;
}


//If the create new movie button is pressed.
if(isset($_POST['createNew'])) {
	
	$newSoftware = true;
}

if (isset($_POST['revert'])) {
	
	echo "<script>window.location: 'software.php' </script>";
}

//Sets the default criterion for the search
$limitations = "ORDER BY title";
$userSearch = true;  //whether the user performed a search or not
$criterion = "";	//what the user is searching for (default, last name)
$search_name = "";	//what the user typed into the search field (default, nothing)

//This is run if the user has performed a search (hits the Search button, or chooses another page of an existing search)
if(isset($_POST["btn_search"]) || isset($_GET["criterion"])) {
		
	$userSearch = true;		//A search happened
	
	if(isset($_POST["btn_search"])){
		$criterion = $_POST['criterion'];
		$search_name = $_POST['search'];
	}else{
		$criterion = $_GET['criterion'];
		$search_name = $_GET['search'];
	}
	
		if($criterion == 'title')
		{
			$selectedTrue1="selected='true'";
			$limitations = "WHERE title LIKE '".$search_name."%' ORDER BY title ";

			$searchValue = $search_name;
		}
		else if($criterion == 'type')
		{
			$selectedTrue2="selected='true'";
			$limitations = "WHERE type LIKE '".$search_name."%' ORDER BY type ";

			$searchValue = $search_name;
		}
		else if($criterion == 'media')
		{
			$selectedTrue3="selected='true'";
			$limitations = "WHERE media LIKE '".$search_name."%' ORDER BY media ";

			$searchValue = $search_name;
		}
	
}

//Creates a Limit of rows for the Table.
		
//How many adjacent pages should be shown on each side?
//If too many pages in the table then increase this number until you get the desired result.
$adjacents = 1;
$thisPageFilename = "software.php";
$thisSearchLinkSuffix = "";
$table = "software";

if($userSearch == true){
	$thisSearchLinkSuffix = "&criterion=$criterion&search=$search_name";
}

/* 
   First get total number of rows in data table. 
   If you have a WHERE clause in your query, make sure you mirror it here.
*/
$query = $conn->query("SELECT COUNT(*) AS NUM FROM $table $limitations");
$total_pages = $query->fetchRow();
$total_pages = $total_pages[NUM];

/* Setup vars for query. */
$limit = 10; 								//how many items to show per page
if (isset($_GET["page"]))
{
	$page=$_GET["page"];
}
else{
	$page=1;								//if no page var is given, default to 1.
}
$start = ($page - 1) * $limit;	 			//first item to display on this page

/* Get data. */
$query = "SELECT * FROM $table $limitations LIMIT $start, $limit";
$portfolio = $conn->query($query);

/* Setup page vars for display. */				
$prev = $page - 1;							//previous page is page - 1
$next = $page + 1;							//next page is page + 1
$lastpage = ceil($total_pages/$limit);		//lastpage is = total pages / items per page, rounded up.
$lpm1 = $lastpage - 1;						//last page minus 1

/* 
	Now we apply our rules and draw the pagination object. 
	We're actually saving the code to a variable in case we want to draw it more than once.
*/
$pagination = "";
if($lastpage > 1)
{	
	$pagination .= "<div class=\"pagination\">";
	//previous button
	if ($page > 1) 
		$pagination.= "<a href=\"$thisPageFilename?page=$prev$thisSearchLinkSuffix\"> previous</a>";
	else
		$pagination.= "<span class=\"disabled\"> previous</span>";	
	
	//pages	
	if ($lastpage < 7 + ($adjacents * 2))	//not enough pages to bother breaking it up
	{	
		for ($counter = 1; $counter <= $lastpage; $counter++)
		{
			if ($counter == $page)
				$pagination.= "<span class=\"current\">$counter</span>";
			else
				$pagination.= "<a href=\"$thisPageFilename?page=$counter$thisSearchLinkSuffix\">$counter</a>";					
		}
	}
	elseif($lastpage > 5 + ($adjacents * 2))	//enough pages to hide some
	{
		//close to beginning; only hide later pages
		if($page < 1 + ($adjacents * 2))		
		{
			for ($counter = 1; $counter < 4 + ($adjacents * 2); $counter++)
			{
				if ($counter == $page)
					$pagination.= "<span class=\"current\">$counter</span>";
				else
					$pagination.= "<a href=\"$thisPageFilename?page=$counter$thisSearchLinkSuffix\">$counter</a>";					
			}
			$pagination.= "...";
			$pagination.= "<a href=\"$thisPageFilename?page=$lpm1$thisSearchLinkSuffix\">$lpm1</a>";
			$pagination.= "<a href=\"$thisPageFilename?page=$lastpage$thisSearchLinkSuffix\">$lastpage</a>";		
		}
		//in middle; hide some front and some back
		elseif($lastpage - ($adjacents * 2) > $page && $page > ($adjacents * 2))
		{
			$pagination.= "<a href=\"$thisPageFilename?page=1$thisSearchLinkSuffix\">1</a>";
			$pagination.= "...";
			for ($counter = $page - $adjacents; $counter <= $page + $adjacents; $counter++)
			{
				if ($counter == $page)
					$pagination.= "<span class=\"current\">$counter</span>";
				else
					$pagination.= "<a href=\"$thisPageFilename?page=$counter$thisSearchLinkSuffix\">$counter</a>";					
			}
			$pagination.= "...";
			$pagination.= "<a href=\"$thisPageFilename?page=$lastpage$thisSearchLinkSuffix\">$lastpage</a>";		
		}
		//close to end; only hide early pages
		else
		{
			$pagination.= "<a href=\"$thisPageFilename?page=1$thisSearchLinkSuffix\">1</a>";
			$pagination.= "...";
			for ($counter = $lastpage - (2 + ($adjacents * 2)); $counter <= $lastpage; $counter++)
			{
				if ($counter == $page)
					$pagination.= "<span class=\"current\">$counter</span>";
				else
					$pagination.= "<a href=\"$thisPageFilename?page=$counter$thisSearchLinkSuffix\">$counter</a>";					
			}
		}
	}
	
	//next button
	if ($page < $counter - 1) 
		$pagination.= "<a href=\"$thisPageFilename?page=$next$thisSearchLinkSuffix\">next </a>";
	else
		$pagination.= "<span class=\"disabled\">next </span>";
	$pagination.= "</div>\n";
}
while($item = $portfolio->fetchRow()){
	
	$editpage = "";
	if($lastpage > 1){
		$editpage = "?page=".$page;
	}
	if ($count % 2 == 0){
		$color = "#F7F7F7";
	}
	else {
		$color = "#CCCCCC";
	}
	if($item['title'] != ""){
	$tableListing .= "<tr bgcolor='$color' >			
						<form name='formresult' action='$thisPageFilename".$editpage."' method='POST'>
							<td><input type='hidden' name='id' value='".$item['ID']."'>
							<input type='hidden' name='search' value='".$searchValue."'>
							<input type='hidden' name='criterion' value='".$criterion."'>
							<input type='hidden' name='btn_search' value=1></td>
							<td>".$item['title']."</td>		
							<td>".$item['type']."</td>
							<td>".$item['media']."</td> 	
							<td>
							<input type='submit' name='moreInfoBtn' value='More Information'>
							</td>
						</form>		
					</tr>";
	}
	$count = 1 + $count;
}

//If the More Information Button is pressed.
$moreInfoCheck = false;
$osSelect = "";
$appSelect = "";
$utilSelect = "";
$ssSelect = "";
$driveSelect = "";
$docSelect = "";
$utilSelect = "";
$otherSelect = "";
$fpSelect = "";
$cdSelect = "";
$dvdSelect = "";

//If the More Information Button is pressed, this is executed.
if (isset($_POST['moreInfoBtn'])) {
	
	
	$button = "<input type='submit' name='update' value='Update Software' />";

	$moreInfoCheck = true;
	$selectedID = $_POST['id'];
	
	//Pulls the selected row's data out of the database and puts it in an array
	$moreInfoStmt = $conn->query("SELECT * FROM software WHERE ID = '$selectedID'");
	$result2 = $moreInfoStmt->fetchRow();
	
	//Puts database values into variables
	$titleShow = $result2['title'];
	$creatorShow = $result2['creator'];
	$releaseShow = $result2['release_year'];
	$typeShow = $result2['type'];
	$mediaShow = $result2['media'];
	$discsShow = $result2['discs'];
	$condShow = $result2['cond'];
	
	//This block selects the correct drop down option
	if ($typeShow == "Operating System") {
		$osSelect = "selected";
	}
	if ($typeShow == "Application") {
		$appSelect = "selected";
	}
	if ($typeShow == "Utility") {
		$utilSelect = "selected";
	}
	if ($typeShow == "Software Suite") {
		$ssSelect = "selected";
	}
	if ($typeShow == "Drivers") {
		$driveSelect = "selected";
	}
	if ($typeShow == "Documents") {
		$docSelect = "selected";
	}
	if ($typeShow == "Other") {
		$otherSelect = "selected";
	}
	
	//This block populates the Media Drop Down Box
	if ($mediaShow == "Floppy Disc") {
		$fpSelect = "selected";
	}
	if ($mediaShow == "Compact Disc") {
		$cdSelect = "selected";
	}
	if ($mediaShow == "DVD") {
		$dvdSelect = "selected";
	}
	
	//This block populates the Condition Radios
	if ($condShow == "New") {
		$new = "CHECKED";
	}
	if ($condShow == "Satisfactory") {
		$sat = "CHECKED";
	}
	if ($condShow == "Bad") {
		$bad = "CHECKED";
	}
	$hiddenID = "<input type='hidden' name='id' value='$selectedID'";
}

if (isset($_POST['update'])) {
	
	$title = $_POST['title'];
	$creator = $_POST['creator'];
	$type = $_POST['type'];
	$media = $_POST['media'];
	$release = $_POST['release'];
	$discs = $_POST['discs'];
	$cond = $_POST['condition'];
	
	$selectedID = $_POST['id'];
	
	if ($title == "") {
		
		$check = false;
		$error .= "<div id='error'>You must enter a title.</div>";
	}
	if ($type == "") {
		
		$check = false;
		$error .= "<div id='error'>You must select a type.</div>";
	}
	if ($media == "") {
		
		$check = false;
		$error .= "<div id='error'>You must select a media.</div>";
	}
	if ($cond == "") {
		
		$check = false;
		$error .= "<div id='error'>You must select a condition.</div>";
	}
	
	if ($check == true) {
		
		$stmt = "INSERT INTO software (ID) VALUES ('$selectedID') ON DUPLICATE KEY UPDATE 
							title = '$title', creator = '$creator', release_year = '$release', 
							type = '$type', media = '$media', 
							discs = '$discs', cond = '$cond'";
		$query = $conn->query($stmt);

		$checkStmt = $conn->query("SELECT * FROM software WHERE title = '$title' AND type = '$type' AND media = '$media'");
		$numStmt = $checkStmt->numRows();
		
		if ($numStmt > 0) {
			
			$success = "<div id='success'>You have successfully updated a piece of Software!</div>";
		}
		else {
			
			$error .= "<div id='error'>Your software was not uploaded to the database. Sorry.</div>";
		}
	}
}
?>
<html>
<head>
	<title>Cataloger Pro :: Beta</title>
	<link rel="stylesheet" href="styles/main.css" type="text/css" />
	<link rel="stylesheet" href="images/NavBar/headerBG.css" type="text/css" />
	<script language="JavaScript1.2" type="text/javascript">
		<!--
		function MM_findObj(n, d) { //v4.01
		  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
		    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
		  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
		  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);
		  if(!x && d.getElementById) x=d.getElementById(n); return x;
		}
		function MM_swapImage() { //v3.0
		  var i,j=0,x,a=MM_swapImage.arguments; document.MM_sr=new Array; for(i=0;i<(a.length-2);i+=3)
		   if ((x=MM_findObj(a[i]))!=null){document.MM_sr[j++]=x; if(!x.oSrc) x.oSrc=x.src; x.src=a[i+2];}
		}
		function MM_swapImgRestore() { //v3.0
		  var i,x,a=document.MM_sr; for(i=0;a&&i<a.length&&(x=a[i])&&x.oSrc;i++) x.src=x.oSrc;
		}
		
		function MM_preloadImages() { //v3.0
		  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
		    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
		    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
		}
		
		//-->
	</script>
	<script language="JavaScript1.2" type="text/javascript" src="images/NavBar/mm_css_menu.js"></script>
</head>
<body onload="MM_preloadImages('images/NavBar/images/headerBG_r2_c2_f2.png','images/NavBar/images/headerBG_r2_c4_f2.png','images/NavBar/images/headerBG_r3_c5_f2.png'); document.form1.title.focus()">
<div id="pageContainer">
	<div id="topContent">
		<div id="header">
			<!-- <img class="header" src="images/NavBar/headerBG.png" /> -->
			<? include "images/NavBar/headerBG.htm" ?>
		</div>
	</div>
	<div id="centerContent">
		<? if ($softwareTableShow == true) {?>
		<div id="selectBox">
			<h1>Software Catalog</h1>
			<?=$error?><?=$success?>
			<form name="softwaresearchform" action="software.php" method="post">
				<center>
					<select name="criterion">
						<option value="title" <?=$selectedTrue1?>>Title</option>
						<option value="type" <?=$selectedTrue2?>>Type</option>
						<option value="media" <?=$selectedTrue3?>>Media</option>
					</select>
					&nbsp;&nbsp;

					<input name="search" type="text" size="30" value="<?=$searchValue?>" />
					<input name="btn_search" type="submit" value="Search" />
					<input name="revert" type="submit" value="Revert" />
				</center>
			</form>
			<table id="resultsTable" border="1" cellspacing="0" cellpadding="0" align="center" width="600px" frame="border" rules="none" >
				<th class="tableHeaderBlank">&nbsp;</th>
				<th class="tableHeaderTitle">Title&nbsp;&nbsp;&nbsp;</th>
				<th class="tableHeader">Type&nbsp;&nbsp;&nbsp;</th>
				<th class="tableHeader">Media&nbsp;&nbsp;&nbsp;</th>
				<th class="tableHeader">&nbsp;</th>
				<?=$tableListing?>
			</table>
			<?=$pagination?>
		</div>
		<center>
			<a href="#down" class="downLink">Click to Move Down</a>
		</center>
		<? } if ($newSoftware == false) {?>
		<form name="newSoftwareCheck" method="post" action="software.php" >
			<div id="submitArea">
				<input type="submit" name="createNew" value="Create New Software" />
			</div>
		</form>
		<? }
		if ($newSoftware == true) {?>
		<h1 id="down">Please fill out the area below to enter new software:</h1>
		
		<form name="form1" method="post" action="software.php" >
			<table id="formTable" cellpadding="0" cellspacing="0" border="0">
				<tr>
					<td class="desc">
						<label>*Title</label>
					</td>
					<td class="input">
						<input type="text" name="title" id="title" size="40" maxlength="50"/>
					</td>				
				</tr>
				<tr>
					<td class="desc">
						<label>Creator</label>
					</td>
					<td class="input">
						<input type="text" name="creator" id="creator" size="40" maxlength="50" />
					</td>				
				</tr>
				<tr>
					<td class="desc">
						<label>Release Year</label>
					</td>
					<td class="input">
						<input type="text" name="release" id="release" size="40" maxlength="20" />
					</td>				
				</tr>
				<tr>
					<td class="desc">
						<label>*Type</label>
					</td>
					<td class="input">
						<select name="type">
							<option value="null"></option>
							<option value="Operating System">Operating System</option>
							<option value="Application">Application</option>
							<option value="Utility">Utility</option>
							<option value="Software Suite">Software Suite</option>
							<option value="Drivers">Drivers</option>
							<option value="Documents">Documents</option>
							<option value="Other">Other</option>
						</select>
					</td>
				</tr>
				<tr>
					<td class="desc">
						<label>*Media</label>
					</td>
					<td class="input">
						<select name="media">
							<option value="null"></option>
							<option value="Floppy Disc">Floppy Disc</option>
							<option value="Compact Disc">Compact Disc</option>
							<option value="DVD">DVD</option>
						</select>
					</td>
				</tr>
				<tr>
					<td class="desc">
						<label># of Discs</label>
					</td>
					<td class="input">
						<input type="text" name="discs" id="discs" size="40" maxlength="2" />
					</td>
				</tr>
				<tr>
					<td class="desc">
						<label>*Condition</label>
					</td>
					<td class="input">
						Brand New
						&nbsp;
						<input type="radio" name="condition" value="New" />
						&nbsp;&nbsp;&nbsp;
						Satisfactory
						&nbsp;
						<input type="radio" name="condition" value="Satisfactory" />
						&nbsp;&nbsp;&nbsp;
						Bad
						&nbsp;
						<input type="radio" name="condition" value="Bad" />
					</td>
				</tr>
			</table>
			
			<div id="submitArea">
				<?=$error?><?=$success?>
				<?=$button?>
				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
				<input type="reset" name="reset" value="Reset Form" />
				<br><br>
				* Required
			</div>
		</form>
		<? }
		if($moreInfoCheck == true) {?>
		<h1 id="down">Please fill out the area below to update existing software:</h1>
		
		<form name="form1" method="post" action="software.php" >
			<?=$hiddenID?>
			<table id="formTable" cellpadding="0" cellspacing="0" border="0">
				<tr>
					<td class="desc">
						<label>*Title</label>
					</td>
					<td class="input">
						<input type="text" name="title" id="title" size="40" maxlength="50" value="<?=$titleShow?>"/>
					</td>				
				</tr>
				<tr>
					<td class="desc">
						<label>Creator</label>
					</td>
					<td class="input">
						<input type="text" name="creator" id="creator" size="40" maxlength="50" value="<?=$creatorShow?>" />
					</td>				
				</tr>
				<tr>
					<td class="desc">
						<label>Release Year</label>
					</td>
					<td class="input">
						<input type="text" name="release" id="release" size="40" maxlength="20" value="<?=$releaseShow?>" />
					</td>				
				</tr>
				<tr>
					<td class="desc">
						<label>*Type</label>
					</td>
					<td class="input">
						<select name="type">
							<option value="null"></option>
							<option value="Operating System" <?=$osSelect?>>Operating System</option>
							<option value="Application" <?=$appSelect?>>Application</option>
							<option value="Utility" <?=$utilSelect?>>Utility</option>
							<option value="Software Suite" <?=$ssSelect?>>Software Suite</option>
							<option value="Drivers" <?=$driveSelect?>>Drivers</option>
							<option value="Documents" <?=$docSelect?>>Documents</option>
							<option value="Other" <?=$otherSelect?>>Other</option>
						</select>
					</td>
				</tr>
				<tr>
					<td class="desc">
						<label>*Media</label>
					</td>
					<td class="input">
						<select name="media">
							<option value="null"></option>
							<option value="Floppy Disc" <?=$fdSelect?>>Floppy Disc</option>
							<option value="Compact Disc" <?=$cdSelect?>>Compact Disc</option>
							<option value="DVD" <?=$dvdSelect?>>DVD</option>
						</select>
					</td>
				</tr>
				<tr>
					<td class="desc">
						<label># of Discs</label>
					</td>
					<td class="input">
						<input type="text" name="discs" id="discs" size="40" maxlength="2" value="<?=$discsShow?>" />
					</td>
				</tr>
				<tr>
					<td class="desc">
						<label>*Condition</label>
					</td>
					<td class="input">
						Brand New
						&nbsp;
						<input type="radio" name="condition" value="New" <?=$new?> />
						&nbsp;&nbsp;&nbsp;
						Satisfactory
						&nbsp;
						<input type="radio" name="condition" value="Satisfactory" <?=$sat?> />
						&nbsp;&nbsp;&nbsp;
						Bad
						&nbsp;
						<input type="radio" name="condition" value="Bad" <?=$bad?> />
					</td>
				</tr>
			</table>
			
			<div id="submitArea">
				<?=$button?>
				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
				<input type="reset" name="reset" value="Reset Form" />
				<br><br>
				* Required
			</div>
		</form>
		<? }?>
	</div>
	<div id="bottomContent"><? include "content/bottomBar.html" ?></div>
</div>
</body>