<?php

require_once "DB.php";

# parameters for connecting to the "internDB" database
	$driver = "mysqli";
	$user = "root";
	$password = "";
	$host = "localhost";
	$db = "cataloger";
# DSN constructed from parameters
	$dsn = $driver . "://" . $user . ":" . $password . "@" . $host . "/" . $db ;
	
	
#Establishes connection to the Database
	$conn =& DB::connect ($dsn);
	
	if (DB::isError ($conn)){
		//if that failed, then try it without the database declaration
		$dsn = $driver . "://" . $user . ":" . $password . "@" . $host . "/";
		$conn =& DB::connect ($dsn);
		if (DB::isError ($conn)){
			//if its still a nogo, good chance your database is offline
			$dbDead .= "<div id='error2'>The database is unresponsive, please visit the ";
			$dbDead .= "<a href='http://catalogerpro.sourceforge.net/' target='_blank'>Cataloger Pro Web Site</a> ";
			$dbDead .= "to contact the creators for troubleshooting.<br><br>";
			$dbDead .= "Consider these three things:<br>";
			$dbDead .= "<ul class='error'>";
			$dbDead .= "<li>Check to see if your database is running.</li>";
			$dbDead .= "<li>Check to see if a database exists.</li>";
			$dbDead .= "<li>Check to see if your firewall is blocking your database.</li>";
			$dbDead .= "</ul></div>";
		}else{
			//otherwise, you just need to reinit your database
			include ('DB/database.php');
			$conn->setFetchMode (DB_FETCHMODE_ASSOC);
		}
	}else{
		//everything's good...
		$conn->setFetchMode (DB_FETCHMODE_ASSOC);
	}

?>